import { Auth, MultiSyncCallback, Record } from './types/index.js';
export default class CloudflareDDNSSync {
    private cloudflareClient;
    constructor(auth: Auth);
    getIp(): Promise<string>;
    getIpv6(): Promise<string>;
    getRecordDataForDomain(domain: string): Promise<import("cloudflare/resources/dns/records.mjs").DNSRecord[]>;
    getRecordDataForDomains(domains: Array<string>): Promise<{}>;
    getRecordDataForRecord(record: Record): Promise<import("cloudflare/resources/dns/records.mjs").DNSRecord>;
    getRecordDataForRecords(records: Array<Record>): Promise<any[]>;
    removeRecord(recordName: string, recordType?: string): Promise<void>;
    stopSyncOnIpChange(changeListenerId: string): void;
    syncByCronTime(cronExpression: string, records: Array<Record>, callback: MultiSyncCallback, ip?: string): import("node-cron").ScheduledTask;
    syncOnIpChange(records: Array<Record>, callback: MultiSyncCallback): Promise<string>;
    syncRecord(record: Record, ip?: string): any;
    syncRecords(records: Array<Record>, ip?: string): Promise<import("cloudflare/resources/dns/records.mjs").DNSRecord[]>;
}
export * from './types/index.js';
