import Cloudflare, { ClientOptions as CloudflareOptions } from 'cloudflare';
import { Record } from '../types/index.js';
export default class CloudflareClient {
    private cloudflare;
    private zoneMap;
    constructor(cloudflareOptions: CloudflareOptions);
    syncRecord(record: Record, ip?: string): Promise<Cloudflare.DNS.Records.DNSRecord>;
    syncRecords(records: Array<Record>, ip?: string): Promise<Cloudflare.DNS.Records.DNSRecord[]>;
    removeRecordByNameAndType(recordName: string, recordType?: string): Promise<void>;
    getRecordDataForRecord(record: Record): Promise<Cloudflare.DNS.Records.DNSRecord>;
    getRecordDataForRecords(records: Array<Record>): Promise<any[]>;
    getRecordsByDomains(domains: Array<string>): Promise<{}>;
    getRecordsByDomain(domain: string): Promise<Cloudflare.DNS.Records.DNSRecord[]>;
    private createRecord;
    private updateRecord;
    private updateZoneMap;
    private getRecordIdByNameAndType;
    private getZoneIdByRecordName;
    private getRecordByNameAndType;
    private getRecordIdsForRecords;
    private getRecordIdMapKey;
    private getZoneIdByDomain;
    private getDomainsFromRecords;
    private getDomainByRecordName;
}
