import cron from 'node-cron';
export default class Cron {
    static createCronJob(cronExpression, callback) {
        const cronExpressionIsInvalid = !this.isValid(cronExpression);
        if (cronExpressionIsInvalid) {
            throw new Error(`'${cronExpression}' is not a valid cron expression.\nHere you can see how cron expressions work: https://cddnss.knaup.pw/cron-expression-syntax`);
        }
        return cron.schedule(cronExpression, () => {
            callback();
        }, undefined);
    }
    static isValid(cronExpression) {
        return cron.validate(cronExpression);
    }
}
