import { publicIpv4, publicIpv6 } from 'public-ip';
export default class IPUtils {
    static ipPollingDelay = 10 * 1000;
    static ipChangeEventListeners = new Map();
    static async getIpv4() {
        /* c8 ignore start*/
        try {
            return await publicIpv4();
        }
        catch (error) {
            return publicIpv4();
        }
        /* c8 ignore stop*/
    }
    static async getIpv6() {
        /* c8 ignore start */
        try {
            return await publicIpv6();
        }
        catch (error) {
            return publicIpv6();
        }
        /* c8 ignore stop*/
    }
    static async addIpChangeListener(callback) {
        const eventListenerId = this.getId();
        let previousIp = await this.getIpv4();
        /* c8 ignore start */
        const intervalId = setInterval(async () => {
            const currentIp = await this.getIpv4();
            const ipMustBeUpdated = currentIp !== previousIp;
            if (ipMustBeUpdated) {
                previousIp = currentIp;
                callback(currentIp);
            }
        }, this.ipPollingDelay);
        /* c8 ignore stop*/
        this.ipChangeEventListeners.set(eventListenerId, intervalId);
        return eventListenerId;
    }
    static removeIpChangeListener(eventListenerId) {
        const eventListenerIntervalId = this.ipChangeEventListeners.get(eventListenerId);
        clearInterval(eventListenerIntervalId);
        IPUtils.ipChangeEventListeners.delete(eventListenerId);
    }
    static getId() {
        return Math.random().toString(36).substring(2, 15) + Math.random().toString(36).substring(2, 15);
    }
}
